﻿html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    /*box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;*/
    box-shadow: 0 0 0 0.0rem white, 0 0 0 0.0rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    margin-bottom: 0px;
}

input.datepicker {
    max-width: 8em;
}

div.input-group.date {
    max-width: 8.25em;
}

div.input-group.input-daterange {
    max-width: 16em;
}

.NUMERO {
    text-align: right;
}

.trumbowyg-button-pane {
    z-index: auto !important;
}

.trumbowyg-box,
.trumbowyg-editor {
    min-height: 280px !important;
    height: 280px !important;
    max-height: 280px;
}

/*
    --------------------------------------------------------------------------------
    INICIO - Animaciones con parpadeo de colores.
*/
@-webkit-keyframes flash_green {
    0% {
        background-color: lightgreen;
    }

    100% {
        background-color: white;
    }
}

@keyframes flash_green {
    0% {
        background-color: lightgreen;
    }

    100% {
        background-color: white;
    }
}

.do_flash_green {
    -webkit-animation: flash_green linear 0.5s;
    animation: flash_green linear 0.5s;
}

.do_flash_green_slow {
    -webkit-animation: flash_green linear 1s;
    animation: flash_green linear 1s;
}

@-webkit-keyframes flash_red {
    0% {
        background-color: red;
    }

    33% {
        background-color: white;
    }

    66% {
        background-color: red;
    }

    100% {
        background-color: white;
    }
}

@keyframes flash_red {
    0% {
        background-color: red;
    }

    33% {
        background-color: white;
    }

    66% {
        background-color: red;
    }

    100% {
        background-color: white;
    }
}

.do_flash_red {
    -webkit-animation: flash_red linear 0.75s;
    animation: flash_red linear 0.75s;
}
/*
    --------------------------------------------------------------------------------
    FIN - Animaciones con parpadeo de colores.
*/
.h1, h1 {
    color: #B61F24;
    font-size: 22px;
}

.h5, h5 {
    color: #B61F24;
    font-size: 22px;
}

.h4, h4 {
    color: rgb(24, 96, 133);
    font-size: 12px;
    font-style: italic;
}

.h6, h6 {
    color: rgb(24, 96, 133);
    font-size: 14px;
}

.navbar-brand, .navbar-nav, .flex-grow-1 {
    background-color: white;
}

.navbar-text {
    color: rgb(24, 96, 133);
}

.border-bottom {
    border-bottom: 1px solid #B61F24 !important;
}

.navbar-light .navbar-nav .nav-link {
    color: #706f6f;
    font-weight: 500;
}

.navbar-light:hover .navbar-nav:hover .nav-link:hover {
    text-shadow: 0px 0px 1px #706f6f;
    font-weight: 500;
}

.text-dark {
    --bs-text-opacity: 1;
    color: #706f6f !important;
}

    .text-dark:hover {
        --bs-text-opacity: 1;
        text-shadow: 0px 0px 1px #2E5077;
    }

.form-select {
    font-size: 13px;
}

.form-label {
    font-size: 14px;
    color: #101010 !important;
    /*font-family: Roboto;*/
}

/*botones del menú de filtros*/
.btn-group-sm > .btn, .btn-group-sm > .btn-sm {
    padding: .25rem .5rem;
    font-size: .875rem;
    border-radius: .0rem;
}

.btn-light {
    color: #101010;
    background-color: transparent;
    border-color: transparent;
}


    .btn-light:hover {
        color: #706f6f;
        background-color: transparent;
        border-color: transparent;
    }

.col-form-label {
    padding-top: calc(.375rem + 0.5px);
    padding-bottom: calc(.375rem + 0.5px);
    margin-bottom: 0;
    line-height: 1;
    font-size: 13px;
    color: #434242;
}

.form-control {
    font-size: 13px;
    line-height: 1;
    color: #212529;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
}

/*ventana emergente*/
.modal-header {
    background-color: #f7f7f7;
    color: #101010;
}

.modal-footer {
    border-top: none;
}

.btn {
    --bs-btn-font-size: 0.85rem;
}

.btn-close {
    background: white url(data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 011.414 0L8 6.586 14.293.293a1 1 0 111.414 1.414L9.414 8l6.293 6.293a1 1 0 01-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 01-1.414-1.414L6.586 8 .293 1.707a1 1 0 010-1.414z'/%3e%3c/svg%3e) center / 1em auto no-repeat;
    color: #101010;
}

.btn-primary {
    color: white;
    background-color: #B61F24;
    border-color: #B61F24;
    --bs-btn-active-bg: #B61F24;
}

.btn-secondary {
    color: #fff;
    background-color: #969a9d;
    border-color: #6c757d;
}

.btn-outline-primary {
    font-size: 13px;
    --bs-btn-color: #B61F24;
    --bs-btn-border-color: #B61F24;
    --bs-btn-active-color: white;
    --bs-btn-hover-color: #B61F24;
    --bs-btn-active-bg: #B61F24;
}

.btn-warning {
    color: white;
    background-color: #fb6944;
    border-color: #ff4545;
}


    .btn-warning:hover {
        color: #fff;
        background-color: #ff4546;
        border-color: #ff4545;
    }


.btn-danger {
    --bs-btn-color: #fff;
    --bs-btn-bg: #B61F24;
    --bs-btn-hover-bg: #B61F24;
}

.btn-primary:hover {
    color: #fff;
    background-color: #B61F24;
    border-color: #B61F24;
}

.bg-warning {
    --bs-bg-opacity: 1;
    background-color: #EAC454 !important;
}

.bg-danger {
    --bs-bg-opacity: 1;
    background-color: #B61F24 !important;
}

.bg-success {
    font-size: 13px;
    --bs-badge-padding-x: 0.75em;
    --bs-badge-padding-y: 0.5em;
}



.form-check .form-check-input {
    border-color: rgb(67, 140, 180);
}

.form-check-input:checked {
    background-color: rgb(67, 140, 180);
}

.form-check-label {
    font-size: 13px;
    margin-left: 10px;
}
/* Select2 */

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option {
    font-size: 0.75rem;
}

.select2-container--bootstrap-5 .select2-selection {
    font-size: 0.75rem;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field {
    font-size: 0.75rem;
}

.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected, .select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]:not(.select2-results__option--highlighted) {
    color: #B61F24;
    background-color: #F1F5FA;
}

/*  Ag Grid
     rgb(67, 140, 180)
    f7f7f7
*/


.ag-theme-quartz .ag-header-row {
    font-size: 12px;
    color: #101010;
    --ag-header-background-color: rgb(236, 235, 235);
}

.ag-theme-quartz,
.ag-theme-quartz-dark {
    --ag-font-size: 16px;
    --ag-header-height: 30px;
    --ag-header-background-color: rgb(236, 235, 235);
    --ag-header-cell-hover-background-color: rgb(236, 235, 235);
    --ag-header-cell-moving-background-color: rgb(236, 235, 235);
    --ag-header-column-resize-handle-color: #101010;
    --ag-active-color: rgba(201, 201, 201);
    /* disable all borders */
    --ag-borders: none;
    /* then add back a border between rows
    --ag-row-border-style: dashed; */
    --ag-row-border-width: 1px;
    --ag-row-border-color: #434242;
    --ag-row-height: 30px;
    /* and between columns
        color del borde de separación
    */
    --ag-cell-horizontal-border: red;
}


/*tamaño de la letra de la cabecera*/
.ag-header-group-cell {
    font-weight: normal;
    font-size: 20px;
}

.ag-header-cell-sortable .ag-header-cell-label {
    color: #101010;
    vertical-align: middle;
}

/*FILA DEL GRID*/
.ag-row {
    vertical-align: middle;
    font-size: 13px;
    --ag-active-color: #f7f7f7;
}

/*COLOR DEL ICONO DE FILTRO DE LA CABECERA*/
.ag-icon-filter {
    color: #101010;
}

.ag-icon ag-icon-asc::after {
    --ag-icon-font-color: #101010;
}
/*color de fondo del panel de los filtros */
.ag-filter-wrapper {
    border: 2px solid red;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    border-bottom-left-radius: 5px;
    background-color: white;
}
/*FIN PANEL DE FILTROS*/
/*input type del filtro*/
.ag-filter-filter, .ag-picker-field-wrapper, .ag-filter-condition-operator, .ag-picker-field-display {
    font-size: 13px;
}

.ag-filter-apply-panel-button {
    font-size: 14px;
    background-color: rgb(215, 233, 243);
    border: 1px solid rgb(67, 140, 180);
}

.ag-has-popup-positioned-under {
    font-size: 13px;
}

.ag-floating-filter-input {
    box-shadow: 0 0 5px rgb(224.4, 224.4, 224.4);
    font-size: 13px;
    color: black;
    --ag-background-color: white;
}


.ag-theme-quartz .ag-standard-button, .ag-theme-quartz-dark .ag-standard-button {
    color: white;
    border: solid 1px rgb(215, 233, 243);
    background-color: rgb(224.4, 224.4, 224.4);
}

    .ag-theme-quartz .ag-standard-button:hover, .ag-theme-quartz-dark .ag-standard-button:hover {
        color: white;
        border: solid 1px rgb(224.4, 224.4, 224.4);
        background-color: #f7f7f7;
    }

.ag-input-field-input ag-text-field-input {
    min-height: 30px;
}

.ag-select:not(.ag-cell-editor):not(.ag-label-align-top) {
    min-height: 30px;
}


.container-md {
    margin-left: min(5vw, 4em);
}

/* Para uarlo el cellClass de columnas con checkbox */
.ag-checkbox-centrado {
    display: flex;
    align-items: center;
    justify-content: center;
}

.ag-campo-clave {
    background-color: #F8F8F8;
    font-weight: 600;
    white-space: pre;
}

.ag-mantener-espacios {
    white-space: pre;
}

.ag-fila-totales {
    font-weight: bold;
}

/**/
.dropdown-header, .dropdown-item {
    color: #706f6f;
    font-size: 14px;
}

    .dropdown-item:hover, .dropdown-item:focus {
        background-color: #E9EDF2;
        color: #B61F24;
    }

    .dropdown-item.active, .dropdown-item:active {
        background-color: #E9EDF2;
        color: #B61F24;
    }

.dropdown-divider {
    background-color: #101010;
    /* rgb(24, 96, 133);*/
}

.dropdown-menu {
    --bs-dropdown-border-color: #101010;
}

.table {
    font-size: 14px;
    --bs-table-color: rgb(24, 96, 133);
}

.text-danger {
    font-family: var(--bs-body-font-family);
    color: #CB515D !important;
    font-size: 14px;
}
